%global momorel 1

Summary: GPE Synchronization Plug-In for OpenSync
Name: libopensync-plugin-gpe
Version: 0.22
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.opensync.org/
Group: System Environment/Libraries
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libX11-devel
BuildRequires: libopensync-devel
BuildRequires: libtool
BuildRequires: pkgconfig

%description
This plug-in allows applications using OpenSync to synchronize to and
from handhelds which use GPE.

Additionally install the libopensync package.

%package devel
Summary: Header files, libraries and development documentation for libopensync-plugin-gpe
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libopensync-devel 

%description devel
This package contains the header files, static libraries and
development documentation for libopensync-plugin-gpe. If you
like to develop programs using libopensync-plugin-gpe, you will
need to install libopensync-plugin-gpe-devel.

%prep
%setup -q

autoreconf -sfi

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_libdir}/opensync/plugins/gpe_sync.so
%{_datadir}/opensync/defaults/gpe-sync

%files devel
%defattr(-,root,root)
%{_includedir}/opensync-1.0/opensync/gpe_sync.h

%changelog
* Mon Jun 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.22-1m)
- initial package for libopensync
- Summary and %%description are imported from opensuse
